Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157723 - Wrong default number of disks.
Summary: Wrong default number of disks.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-14 02:59 UTC by David Kuestler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-16 14:09:17 UTC


Attachments (Terms of Use)

Description David Kuestler 2005-05-14 02:59:06 UTC
Description of problem:
When building a distributions the default number of disks to build is wrong.

Version-Release number of selected component (if applicable):
long standing problem - all versions ;-)

How reproducible:
Try to rebuild a distribution using default number of disks.

Steps to Reproduce:
1. Copy standard distribution to a build directory.
2. Try to build CD image set using default number of disks.

Actual results:
Builds a 3 CD binary set.

Expected results:
Builds a 4 CD binary set.
Fedora Core and other distributions have been on 4 binary CDs for a couple of
releases now.

Additional info:
Patch :
diff -urN anaconda-10.2.0.47.orig/scripts/splittree.py
anaconda-10.2.0.47/scripts/splittree.py
--- anaconda-10.2.0.47.orig/scripts/splittree.py	2005-04-01 09:16:56.000000000 +1000
+++ anaconda-10.2.0.47/scripts/splittree.py	2005-04-16 10:24:13.982585717 +1000
@@ -392,7 +392,7 @@
 
 def usage(theerror):
     print theerror
-    print """Usage: %s --arch=i386 --total-discs=6 --bin-discs=3 --src-discs=3
--release-string="distro name" --pkgorderfile=/tmp/pkgorder.12345
--distdir=/usr/src/someunifiedtree --srcdir=/usr/src/someunifiedtree/SRPMS
--productpath=product""" % sys.argv[0]
+    print """Usage: %s --arch=i386 --total-discs=8 --bin-discs=4 --src-discs=4
--release-string="distro name" --pkgorderfile=/tmp/pkgorder.12345
--distdir=/usr/src/someunifiedtree --srcdir=/usr/src/someunifiedtree/SRPMS
--productpath=product""" % sys.argv[0]
     sys.exit(1)

Comment 1 Chris Lumens 2005-05-16 14:09:17 UTC
Fixed in CVS.  Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.